FSSAI Verification

Instantpay's FSSAI Verification API solution facilitates businesses in verifying the authenticity of Food Safety and Standards Authority of India (FSSAI) licenses. FSSAI verification API provides assurance that the businesses you are dealing with have the proper authorization for engaging in the production, storage, distribution, or export of food products, promoting trust and reliability in the food-related industry.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
fssaiNumberStringMandatoryInput FSSAI number to be verified.
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer Longitude
externalRefStringMandatoryYour Unique Transaction id
consentStringMandatoryConsent should be
accepted by
customer

Sample Request

curl --location 'https://api.instantpay.in/identity/verifyFssai' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
    "fssaiNumber":"1332112340532",
    "consent":"Y",
    "latitude":0.99,
    "longitude":38,
    "externalRef":"jdnjdi89"
}'
curl --location 'https://api.instantpay.in/identity/verifyFssai' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=' \
--header 'X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825' \
--header 'X-Ipay-Endpoint-Ip: 14.142.186.142' \
--header 'Content-Type: application/json' \
--data '{
    "fssaiNumber":"1332112340532",
    "consent":"Y",
    "latitude":0.99,
    "longitude":38,
    "externalRef":"jdnjdi89"
}'

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
internalCodeStringIt will be null

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "fassaiDetail": {
            "premiseAddress": "Sample Full Address",
            "fssaiNumber": "1332112340532",
            "licenseCategoryName": "State License",
            "stateName": "Delhi",
            "statusDescription": "License Issued",
            "licenseCategoryId": "2",
            "talukName": "Taluk Name",
            "districtName": "District Name ",
            "companyName": "Company Business Name",
            "licenseActiveFlag": true,
            "appTypeDescription": "New License",
            "villageName": null,
            "premisePincode": "110018"
        },
        "pool": {
            "referenceId": "1231005101634YLFYA",
            "openingBalance": "47.77",
            "paymentAmount": "0.00",
            "mode": "DR",
            "closingBalance": "47.77"
        }
    },
    "timestamp": "2023-10-05 10:16:34",
    "ipay_uuid": "h0059a4b47e5-7b72-4309-835a-868f5fbbb7fe-CLueOJFuLnk6",
    "orderid": "1231005101634YLFYA",
    "environment": "LIVE",
    "internalCode": null
}
Body Params
string
string

End Customer Latitude.

string

End Customer Longitude.

string

Your Unique Transaction id

string
string
Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json